#define CIRCLEPOS2(p,d,r) CIRCLEPOS((p select 0), (p select 1), d, r)
#define CIRCLEPOS(x,y,d,r) [x+r*sin(d),y+r*cos(d)]
private ["_handle"];
waituntil {alive Nimitz};
_handle = [Nimitz] execVM "TeTeT_traffic\Init.sqf";
waituntil {scriptDone _handle};

waituntil {alive player};

"ColorCorrections" ppEffectEnable true;
"ColorCorrections" ppEffectAdjust [0.88, 0.88, 0, [0.2, 0.29, 0.4, -0.22], [1, 1, 1, 1.3], [0.15, 0.09, 0.09, 0.0]];
"ColorCorrections" ppEffectCommit 0;

[Nimitz] spawn TeTeT_fnc_shipController;

[] spawn {
  // create planes in the hangar bay
  while {alive Nimitz} do {
    [Nimitz] spawn TeTeT_fnc_controlPlane;
    sleep 30;
    // sleep 60;
  };
};

// camera script
RydSC_ViewSwitch = true;
RydSC_PPEffects = false;
private ["_pos", "_dir", "_camInit"];
_dir = getDir Nimitz - 180;
_pos = CIRCLEPOS2(getPos Nimitz, _dir, 300);
_pos = [_pos select 0, _pos select 1, 100];

_camInit = createVehicle ["Land_HelipadEmpty_F", _pos, [], 0, "NONE"];
_camInit setDir (getDir Nimitz);
RydSC_InitPos = _camInit;
[] call RYD_fnc_camInit;
[] spawn {
  sleep 5;
  [] spawn RYD_CamSwitchOff;
  sleep 1;
  hint "Turning cameras on";
  player addAction ["Nimitz Camera", "TeTeT_cam\Run.sqf"];
  // [] execVM "TeTeT_cam\Run.sqf";
};
